"""\
This file is an installation script for custom skins.  It's meant
to be used as an External Method.  To use, add an external method to the
root of the CMF Site that you want ZPT skins registered in with the
configuration:

 id: install_customskins
 title: Install Skins *optional*
 module name: CustomSkins.Install
 function name: install

Then go to the management screen for the newly added external method
and click the 'Test' tab.  The install function will execute and give
information about the steps it took to register and install the
ZPT skins into the CMF Site instance. 

Or... use CMFQuickInstaller :)
"""

SKINS_DIRS = ('reverse', 'underground')
PROJECTNAME = 'CustomSkins'

from Products.CMFCore.DirectoryView import addDirectoryViews
from Products.CMFCore.utils import getToolByName
from Products.ExternalMethod import ExternalMethod

from cStringIO import StringIO
import string

def install(self):
    " Register the with portal_types and friends "
    out = StringIO()
    typestool = getToolByName(self, 'portal_types')
    skinstool = getToolByName(self, 'portal_skins')
    portal_url = getToolByName(self, 'portal_url')


    # Setup the skins
    # This is borrowed from CMFDefault/scripts/addImagesToSkinPaths.pys
    try:
        # We need to add Filesystem Directory Views for any directories
        # in our skins/ directory.  These directories should already be
        # configured.
        addDirectoryViews(skinstool, 'skins', globals())
        out.write("Added directory views to portal_skins\n")
    except:
        out.write("error adding directory views\n")
    


    # we don't add any of the skins to the configuration - that's custom.
        


    out.write("Successfully installed %s." % PROJECTNAME)
    return out.getvalue()
